#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	twm
Version		:	1.0.10
Release		:	17.2.0.rel%{?dist}
Summary		:	twm - Tab Window Manager for the X Window System
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-util-macros
BuildRequires	:	xorg-libXmu
BuildRequires	:	xorg-libXt
#-----------------------------------------------------------------------------
%description
twm is a window manager for the X Window System.  It provides
titlebars, shaped windows, several forms of icon management,
user-defined macro functions, click-to-type and pointer-driven
keyboard focus, and user-specified key and pointer button bindings.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

sed -i								\
  -e "/^rcdir =/s,^\(rcdir = \).*,\1/etc/X11/app-defaults,"	\
  src/Makefile.in

autoreconf -vf
./configure							\
        --prefix=%{_prefix}					\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--with-app-defaults=%{_sysconfdir}/X11/app-defaults	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


%files			
%defattr(-,root,root,-)

%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/X11/%{name}/system.%{name}rc
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
